Menu

## Footnotes

init.php : 16

Provides an entry point to the Plugin.

Loads the dashboard and executes the task.

##### Tags

since
  1.5.0

### Table of Contents

$a_bool_alternative_tooltips_enabled : bool
  Allows to determine whether alternative tooltips are enabled.
$a_bool_amp_enabled : bool
  Allows to determine whether AMP compatibility mode is enabled.
$a_bool_tooltips_enabled : bool
  Flag for using tooltips.
$a_obj_task : Task
  The Plugin task.
$a_str_script_mode : str
  Allows to determine the script mode among jQuery or plain JS.
initialize_widgets() : mixed
  Initializes all Widgets of the Plugin.
register_public() : mixed
  Registers and enqueues scripts and stylesheets to the public pages.
run() : mixed
  Executes the Plugin.
initialize_dashboard() : mixed
  Initializes the Dashboard of the Plugin and loads them.
initialize_task() : mixed
  Initializes the Plugin Task and registers the Task hooks.

### Properties

#### $a_bool_alternative_tooltips_enabled

init.php : 49

Allows to determine whether alternative tooltips are enabled.

`public static bool $a_bool_alternative_tooltips_enabled = alse`

- Bugfix: Tooltips: optional alternative JS implementation with CSS transitions to fix configuration-related outage, thanks to @andreasra feedback.

##### Tags

since
  2.1.1
since
  2.4.0
reporter

  @andreasra

link
  https://wordpress.org/support/topic/footnotes-appearing-in-header/page/2/#post-13632566
contributor

  Patrizia Lutz @misfist

#### $a_bool_amp_enabled

init.php : 71

Allows to determine whether AMP compatibility mode is enabled.

`public static bool $a_bool_amp_enabled = alse`

- Adding: Tooltips: make display work purely by style rules for AMP compatibility, thanks to @milindmore22 code contribution.
- Bugfix: Tooltips: enable accessibility by keyboard navigation, thanks to @westonruter code contribution.
- Adding: Reference container: get expanding and collapsing to work also in AMP compatibility mode, thanks to @westonruter code contribution.

##### Tags

since
  2.5.11

  (draft)

since
  2.6.0

  (release)

contributor

  @milindmore22

contributor

  @westonruter

link
  https://github.com/ampproject/amp-wp/issues/5913#issuecomment-785306933
link
  https://github.com/ampproject/amp-wp/issues/5913#issuecomment-785419655
link
  https://github.com/markcheret/footnotes/issues/48#issuecomment-799580854
link
  https://github.com/markcheret/footnotes/issues/48#issuecomment-799582394

#### $a_bool_tooltips_enabled

init.php : 33

Flag for using tooltips.

`public static bool $a_bool_tooltips_enabled = alse`

##### Tags

since
  2.4.0

#### $a_obj_task

init.php : 24

The Plugin task.

`public Task $a_obj_task = ull`

##### Tags

since
  1.5.0

#### $a_str_script_mode

init.php : 89

Allows to determine the script mode among jQuery or plain JS.

`public static str $a_str_script_mode = 'js'`

- Bugfix: Reference container: optional alternative expanding and collapsing without jQuery for use with hard links, thanks to @hopper87it @pkverma99 issue reports.

##### Tags

since
  2.5.6
reporter

  @hopper87it

reporter

  @pkverma99

link
  https://wordpress.org/support/topic/footnotes-wp-rocket/
link
  https://wordpress.org/support/topic/footnotes-wp-rocket/#post-14076188

### Methods

#### initialize_widgets()

init.php : 155

Initializes all Widgets of the Plugin.

`public initialize_widgets() : mixed`

##### Tags

since
  1.5.0
  - Update: Fix for deprecated PHP function create_function(), thanks to @psykonevro @daliasued bug reports, thanks to @felipelavinz code contribution
since
  1.6.5
contributor

  @felipelavinz

link
  https://github.com/media-competence-institute/footnotes/commit/87173d2980c7ff90e12ffee94ca7153e11163793
link
  https://wordpress.org/support/topic/bug-function-create_function-is-deprecated/
link
  https://wordpress.org/support/topic/deprecated-function-create_function-14/
link

  create_function() was deprecated in PHP 7.2.0 and removed in PHP 8.0.0.

link

  The fix is to move add_action() above into run(), and use the bare register_widget() here.

reporter

  @psykonevro

reporter

  @daliasued

see
  self::run()

  Also, the visibility of initialize_widgets() is not private any longer.

##### Return values

mixed —

#### register_public()

init.php : 189

Registers and enqueues scripts and stylesheets to the public pages.

`public register_public() : mixed`

##### Tags

since
  1.5.0
since
  2.0.0

  Update: Tooltips: fix disabling bug by loading jQuery UI library, thanks to @rajinderverma @ericcorbett2 @honlapdavid @mmallett bug reports, thanks to @vonpiernik code contribution.

since
  2.0.3

  add versioning of public.css for cache busting

since
  2.0.4

  add jQuery UI from WordPress

since
  2.1.4

  automate passing version number for cache busting

since
  2.1.4

  optionally enqueue an extra stylesheet

##### Return values

mixed —

#### run()

init.php : 106

Executes the Plugin.

`public run() : mixed`

##### Tags

since
  1.5.0
  - Bugfix: Improve widgets registration, thanks to @felipelavinz code contribution.
since
  1.6.5
contributor

  @felipelavinz

link
  https://github.com/benleyjyc/footnotes/commit/87173d2980c7ff90e12ffee94ca7153e11163793
link
  https://github.com/media-competence-institute/footnotes/commit/87173d2980c7ff90e12ffee94ca7153e11163793
see
  self::initialize_widgets()

##### Return values

mixed —

#### initialize_dashboard()

init.php : 164

Initializes the Dashboard of the Plugin and loads them.

`private initialize_dashboard() : mixed`

##### Tags

since
  1.5.0

##### Return values

mixed —

#### initialize_task()

init.php : 173

Initializes the Plugin Task and registers the Task hooks.

`private initialize_task() : mixed`

##### Tags

since
  1.5.0

##### Return values

mixed —

## Search results